The International Simutrans Forum

 

Author Topic: Important notice to 64-bit Linux users  (Read 7851 times)

0 Members and 1 Guest are viewing this topic.

Offline jamespetts gb

  • Simutrans-Extended project coordinator
  • Moderator
  • *
  • Posts: 18763
  • Cake baker
    • Bridgewater-Brunel
  • Languages: EN
Important notice to 64-bit Linux users
« on: January 04, 2011, 09:47:11 PM »
Many users have reported instability and odd behaviour running a 32-bit version of Simutrans-Extended on a 64-bit Linux system (that is, a computer with the 64-bit version of Linux installed; this does not apply to computers with 64-bit hardware with the 32-bit version of Linux installed). It is therefore highly recommended that all 64-bit Linux users use the 64-bit Linux binary available here.

Prior to Simutrans-Experimental 9.2, released on the 4th of January 2011, there was a bug in the code (applying equally to Standard) that caused the 64-bit Linux version to crash on starting. This has now been fixed in version 9.2. Anyone with a 64-bit Linux system is therefore strongly recommended to upgrade to Simutrans-Experimental 9.2 or later to avoid the problems associated with running the 32-bit version.
« Last Edit: February 14, 2017, 12:51:00 AM by jamespetts »